# IGListAdapterUpdater

    @interface IGListAdapterUpdater : NSObject <IGListUpdatingDelegate>

An `IGListAdapterUpdater` is a concrete type that conforms to `IGListUpdatingDelegate`. It is an out-of-box upater for `IGListAdapter` objects to use.

Note

This updater performs re-entrant, coalesced updating for a list. It also uses a least-minimal diff for calculating UI updates when `IGListAdapter` calls `-performUpdateWithCollectionView:fromObjects:toObjects:completion:`.

- `delegate`

  The delegate that receives events with data on the performance of a transition.

  #### Declaration

  Objective-C

      @property (readwrite, nonatomic)
          id<IGListAdapterUpdaterDelegate> _Nullable delegate;

- `movesAsDeletesInserts`

  A flag indicating if a move should be treated as a delete, then insert operation.

  #### Declaration

  Objective-C

      @property (assign, readwrite, nonatomic) BOOL movesAsDeletesInserts;

- `allowsBackgroundReloading`

  A flag indicating whether this updater should skip diffing and simply call `reloadData` for updates when the collection view is not in a window. The default value is `YES`.

  Note

  This will result in better performance, but will not generate the same delegate callbacks. If using a custom layout, it will not receive `prepareForCollectionViewUpdates:`.

  Warning

  On iOS < 8.3, this behavior is unsupported and will always be treated as `NO`.

  #### Declaration

  Objective-C

      @property (assign, readwrite, nonatomic) BOOL allowsBackgroundReloading;

- `experiments`

  A bitmask of experiments to conduct on the updater.

  #### Declaration

  Objective-C

      @property (assign, readwrite, nonatomic) IGListExperiment experiments;

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.